## conky 1.10.0

=== lua/CMakeLists.txt ===
# vim: ts=4 sw=4 noet ai cindent syntax=cmake
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2012 Brenden Matthews, et. al. (see AUTHORS)
# All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

include(ToLua)

add_definitions(-DTOLUA_RELEASE)
set(CMAKE_C_FLAGS "-O3")
set(CMAKE_C_FLAGS_DEBUG "-ggdb")
set(CMAKE_CXX_FLAGS "-O3")
set(CMAKE_CXX_FLAGS_DEBUG "-ggdb")

if(BUILD_LUA_CAIRO)
	include_directories(${luacairo_includes} ${CMAKE_CURRENT_SOURCE_DIR})
	# cairo_set_dash() needs this special hack to work properly
	# if you have a better solution, please let me know
	wrap_tolua(luacairo_src cairo.pkg libcairo.patch)

	add_library(conky-cairo SHARED ${luacairo_src})
	set_target_properties(conky-cairo PROPERTIES OUTPUT_NAME "cairo")

	target_link_libraries(conky-cairo ${luacairo_libs} ${TOLUA_LIBS})
	set(lua_libs ${lua_libs} conky-cairo)
endif(BUILD_LUA_CAIRO)

if(BUILD_LUA_IMLIB2)
	include_directories(${luaimlib2_includes} ${CMAKE_CURRENT_SOURCE_DIR})
	wrap_tolua(luaimlib2_src imlib2.pkg)

	add_library(conky-imlib2 SHARED ${luaimlib2_src})
	set_target_properties(conky-imlib2 PROPERTIES OUTPUT_NAME "imlib2")

	target_link_libraries(conky-imlib2 ${luaimlib2_libs} ${TOLUA_LIBS})
	set(lua_libs ${lua_libs} conky-imlib2)
endif(BUILD_LUA_IMLIB2)

if(BUILD_LUA_RSVG)
	include_directories(${luarsvg_includes} ${CMAKE_CURRENT_SOURCE_DIR})
	wrap_tolua(luarsvg_src rsvg.pkg)

	add_library(conky-rsvg SHARED ${luarsvg_src})
	set_target_properties(conky-rsvg PROPERTIES OUTPUT_NAME "rsvg")

	target_link_libraries(conky-rsvg ${luarsvg_libs} ${TOLUA_LIBS})
	set(lua_libs ${lua_libs} conky-rsvg)
endif(BUILD_LUA_RSVG)

if(BUILD_LUA_CAIRO AND BUILD_LUA_IMLIB2)
	include_directories(${luacairo_includes} ${luaimlib2_includes} ${CMAKE_CURRENT_SOURCE_DIR})
	wrap_tolua(luacairo_imlib2_helper_src cairo_imlib2_helper.pkg)

	add_library(conky-cairo_imlib2_helper SHARED ${luacairo_imlib2_helper_src})
	set_target_properties(conky-cairo_imlib2_helper PROPERTIES OUTPUT_NAME "cairo_imlib2_helper")

	target_link_libraries(conky-cairo_imlib2_helper ${luacairo_libs} ${luaimlib2_libs} ${TOLUA_LIBS})
	set(lua_libs ${lua_libs} conky-cairo_imlib2_helper)
endif(BUILD_LUA_CAIRO AND BUILD_LUA_IMLIB2)

install(TARGETS
	${lua_libs}
	LIBRARY DESTINATION lib/conky
	ARCHIVE DESTINATION lib/conky
)

=== debian/changelog ===
conky (1.10.0-1mx150+1) mx; urgency=low

  * Rebuild for MX 15.
  * Add Build-Conflicts for liblua5.2-dev. 

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Mon, 03 Aug 2015 18:06:01 -0700

conky (1.10.0-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Cheng <vcheng@debian.org>  Mon, 06 Jul 2015 23:50:46 -0700

conky (1.10.0-1) unstable; urgency=medium

  * New upstream release.
    - This release introduces a new Lua-based conkyrc configuration format.
      See debian/NEWS for further information.
    - Patches applied upstream, removed: fix-curl-related-crashes.patch,
      fix-CVE-2011-3616.patch, fix-font-check.patch, fix-kfreebsd-ftbfs.patch
      fix-uninitialized-inotify_fd-value.patch
    - Patches that are obsolete, removed: fix-apcupsd.patch
    - Patches added: cmake_c_flags.patch, db2x_manxml_ascii.patch, 
      build_docs_offline.patch
  * Switch build system from autotools to cmake.
    - Add build-dep on cmake (>= 2.6); drop build-dep on autotools-dev.
  * Add build-deps on gawk, less, librsvg2-dev, docbook2x, docbook-xml,
    docbook-xsl; build documentation from source.
  * Update debian/copyright.
  * Update Standards version from 3.9.5 to 3.9.6, no changes required.
  * Update watch file.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 30 Jun 2015 21:35:43 -0700

=== debian/control ===
Source: conky
Section: utils
Priority: optional
Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
Bugs: mailto: maintainer@mepiscommunity.org
XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
Build-Depends:
 audacious-dev,
 automake1.11 | automake (>= 1:1.11),
 cmake (>= 2.6),
 debhelper (>= 9),
 docbook-xml,
 docbook-xsl,
 docbook2x,
 dpkg-dev (>= 1.15.7),
 gawk,
 less,
 libasound2-dev [linux-any],
 libaudclient-dev,
 libcairo2-dev,
 libcurl4-gnutls-dev | libcurl4-dev,
 libdevstat-dev [kfreebsd-any],
 libglib2.0-dev,
 libimlib2-dev,
 libiw-dev [linux-any],
 libkvm-dev [kfreebsd-any],
 liblua5.1-0-dev,
 libncurses5-dev,
 librsvg2-dev,
 libtolua++5.1-dev,
 libtool,
 libx11-dev,
 libxdamage-dev,
 libxext-dev,
 libxft-dev,
 libxml2-dev,
 libxmmsclient-dev,
 libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
 pkg-config (>= 0.19)
Build-Conflicts: liblua5.2-dev
Homepage: http://conky.sourceforge.net/
Standards-Version: 3.9.6
Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk

Package: conky-std
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd, xmms2
Breaks: conky (<< 1.8.0-1)
Conflicts: conky-all, conky-cli
Replaces: conky (<< 1.8.0-1), conky-all, conky-cli
Description: highly configurable system monitor (default version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This package should be a good compromise for most users that do not
 need special features.
 It includes the following support:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
 wireless, ncurses, ALSA mixer, apcupsd, I/O stats, argb and Lua.

Package: conky-std-dbg
Section: debug
Priority: extra
Architecture: any
Depends: conky-std (= ${binary:Version}), ${misc:Depends}
Description: highly configurable system monitor (default version - debug)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This package should be a good compromise for most users that do not
 need special features.
 It includes the following support:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
 wireless, ncurses, ALSA mixer, apcupsd, I/O stats, argb and Lua.
 .
 This package contains debugging symbols only.

Package: conky-cli
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, moc, mpd
Breaks: conky (<< 1.8.0-1)
Conflicts: conky-all, conky-std
Replaces: conky (<< 1.8.0-1), conky-all, conky-std
Description: highly configurable system monitor (basic version)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a basic package that can be useful in servers or piped with dzen2.
 It includes the following support:
 .
 MPD, MOC, math, apcupsd, ncurses and I/O stats.

Package: conky-cli-dbg
Section: debug
Priority: extra
Architecture: any
Depends: conky-cli (= ${binary:Version}), ${misc:Depends}
Description: highly configurable system monitor (basic version - debug)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a basic package that can be useful in servers or piped with dzen2.
 It includes the following support:
 .
 MPD, MOC, math, apcupsd, ncurses and I/O stats.
 .
 This package contains debugging symbols only.

Package: conky-all
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: apcupsd, audacious, moc, mpd, xmms2
Breaks: conky (<< 1.8.0-1)
Conflicts: conky-cli, conky-std
Replaces: conky (<< 1.8.0-1), conky-cli, conky-std
Description: highly configurable system monitor (all features enabled)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a full conky with most compile options enabled:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
 Weather, wireless, IBM, nvidia, eve-online, Imlib2, ALSA mixer,
 apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
 Audacious, and XMMS2.

Package: conky-all-dbg
Section: debug
Priority: extra
Architecture: any
Depends: conky-all (= ${binary:Version}), ${misc:Depends}
Description: highly configurable system monitor (all features enabled - debug)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a full conky with most compile options enabled:
 .
 X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
 Weather, wireless, IBM, nvidia, eve-online, Imlib2, ALSA mixer,
 apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
 Audacious, and XMMS2.
 .
 This package contains debugging symbols only.

Package: conky
Section: oldlibs
Priority: extra
Architecture: all
Depends: conky-std | conky-cli | conky-all, ${misc:Depends}
Description: highly configurable system monitor (transitional package)
 Conky is a system monitor that can display just about anything,
 either on your root desktop or in its own window.
 Conky has many built-in objects, as well as the ability to execute
 external programs or scripts (either external or through built-in
 lua support).
 .
 This is a dummy package to ease transition to the new packaging scheme.
 It may be safely removed after upgrade/installation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

DEB_CFLAGS          ?= $(shell dpkg-buildflags --get CFLAGS)
DEB_CPPFLAGS        ?= $(shell dpkg-buildflags --get CPPFLAGS)
DEB_CXXFLAGS        ?= $(shell dpkg-buildflags --get CXXFLAGS)

DEB_HOST_ARCH_OS    ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)

COMMON_CONF_ARGS=-DCMAKE_BUILD_TYPE=None -DCMAKE_INSTALL_PREFIX=/usr \
                 -DMAINTAINER_MODE=ON \
                 -DCMAKE_C_FLAGS="$(DEB_CFLAGS) $(DEB_CPPFLAGS)" \
                 -DCMAKE_CXX_FLAGS="$(DEB_CXXFLAGS) $(DEB_CPPFLAGS)"

ifeq ($(DEB_HOST_ARCH_OS),linux)
       LINUX_CONF_ARGS=-DBUILD_WLAN=ON
endif

ifeq ($(DEB_HOST_ARCH),i386)
ifeq ($(DEB_HOST_ARCH_OS),linux)
       ENABLE_NVIDIA=-DBUILD_NVIDIA=ON
endif
endif

ifeq ($(DEB_HOST_ARCH),amd64)
ifeq ($(DEB_HOST_ARCH_OS),linux)
       ENABLE_NVIDIA=-DBUILD_NVIDIA=ON
endif
endif

%:
	dh $@ --buildsystem=cmake

override_dh_auto_clean:
	rm -rf $(CURDIR)/README $(CURDIR)/doc/*.html $(CURDIR)/doc/*.1
	dh_auto_clean --builddirectory build-std
	dh_auto_clean --builddirectory build-cli
	dh_auto_clean --builddirectory build-all

override_dh_auto_configure:
	dh_auto_configure --builddirectory build-std -- \
	-DDOC_PATH=/usr/share/doc/conky-std \
	$(COMMON_CONF_ARGS) $(LINUX_CONF_ARGS) -DBUILD_XDBE=ON
	
	dh_auto_configure --builddirectory build-cli -- \
	-DDOC_PATH=/usr/share/doc/conky-cli \
	$(COMMON_CONF_ARGS) -DBUILD_X11=OFF
	
	dh_auto_configure --builddirectory build-all -- \
	-DDOC_PATH=/usr/share/doc/conky-all \
	$(COMMON_CONF_ARGS) $(LINUX_CONF_ARGS) $(ENABLE_NVIDIA) \
	-DBUILD_XDBE=ON -DBUILD_CURL=ON -DBUILD_IMLIB2=ON -DBUILD_RSS=ON \
	-DBUILD_WEATHER_METAR=ON -DBUILD_WEATHER_XOAP=ON -DBUILD_LUA_CAIRO=ON \
	-DBUILD_LUA_IMLIB2=ON -DBUILD_LUA_RSVG=ON -DBUILD_AUDACIOUS=ON \
	-DBUILD_XMMS2=ON -DBUILD_EVE=ON

override_dh_auto_build:
	dh_auto_build --builddirectory build-std
	dh_auto_build --builddirectory build-cli
	dh_auto_build --builddirectory build-all

override_dh_auto_test:
	dh_auto_test --builddirectory build-std
	dh_auto_test --builddirectory build-cli
	dh_auto_test --builddirectory build-all

override_dh_auto_install:
	dh_auto_install --builddirectory build-std --destdir debian/conky-std
	dh_auto_install --builddirectory build-cli --destdir debian/conky-cli
	dh_auto_install --builddirectory build-all --destdir debian/conky-all

override_dh_compress:
	dh_compress -Xconvert.lua

override_dh_strip:
	dh_strip -p conky-std --dbg-package=conky-std-dbg
	dh_strip -p conky-cli --dbg-package=conky-cli-dbg
	dh_strip -p conky-all --dbg-package=conky-all-dbg

override_dh_makeshlibs:
	# Do not run ldconfig on private shared libraries in /usr/lib/conky
	# This fixes lintian warning "postinst-has-useless-call-to-ldconfig"
	dh_makeshlibs -X/usr/lib/conky

override_dh_builddeb:
	dh_builddeb -- -Z xz

## conky 1.10.1

=== CMakeLists.txt ===
# vim: ts=4 sw=4 noet ai cindent syntax=cmake
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2010 Brenden Matthews, et. al. (see AUTHORS)
# All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

cmake_minimum_required(VERSION 2.6)

project(conky)

# This is the directory for our custom CMake modules.
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

# 'core' CMake stuff
include(Conky)

# Handle build options
include(ConkyBuildOptions)

# Do platform checks
include(ConkyPlatformChecks)

# CPack module for installation tasks
include(ConkyCPackSetup)

# setup our configuration headers
configure_file(${CMAKE_MODULE_PATH}/config.h.in ${CMAKE_BINARY_DIR}/config.h)
configure_file(${CMAKE_MODULE_PATH}/build.h.in ${CMAKE_BINARY_DIR}/build.h)

# Finally, add some code
add_subdirectory(lua)
add_subdirectory(data)
add_subdirectory(doc)
add_subdirectory(src)

IF(NOT DEFINED DOC_PATH)
    set(DOC_PATH "share/doc/${CPACK_PACKAGE_NAME}-${VERSION}")
ENDIF(NOT DEFINED DOC_PATH)
set(DOC_FILES extras/convert.lua data/conky_no_x11.conf data/conky.conf)

set(HTML_PATH "${DOC_PATH}/html")
set(HTML_FILES doc/config_settings.html doc/docs.html doc/lua.html doc/variables.html)

set(MAN_PATH "share/man/man1")
set(MAN_FILES doc/conky.1)

install(FILES ${DOC_FILES}
	DESTINATION ${DOC_PATH})

if(MAINTAINER_MODE)
	install(FILES ${HTML_FILES}
		DESTINATION ${HTML_PATH})

	install(FILES ${MAN_FILES}
		DESTINATION ${MAN_PATH})
endif(MAINTAINER_MODE)

=== lua/CMakeLists.txt ===
--- 
+++ 
@@ -23,10 +23,10 @@
 include(ToLua)
 
 add_definitions(-DTOLUA_RELEASE)
-set(CMAKE_C_FLAGS "-O3")
-set(CMAKE_C_FLAGS_DEBUG "-ggdb")
-set(CMAKE_CXX_FLAGS "-O3")
-set(CMAKE_CXX_FLAGS_DEBUG "-ggdb")
+set(CMAKE_C_FLAGS "-O3 ${CMAKE_C_FLAGS}")
+set(CMAKE_C_FLAGS_DEBUG "-ggdb ${CMAKE_C_FLAGS_DEBUG}")
+set(CMAKE_CXX_FLAGS "-O3 ${CMAKE_CXX_FLAGS}")
+set(CMAKE_CXX_FLAGS_DEBUG "-ggdb ${CMAKE_CXX_FLAGS_DEBUG}")
 
 if(BUILD_LUA_CAIRO)
 	include_directories(${luacairo_includes} ${CMAKE_CURRENT_SOURCE_DIR})
@@ -76,6 +76,6 @@
 
 install(TARGETS
 	${lua_libs}
-	LIBRARY DESTINATION lib/conky
-	ARCHIVE DESTINATION lib/conky
+	LIBRARY DESTINATION lib${LIB_SUFFIX}/conky
+	ARCHIVE DESTINATION lib${LIB_SUFFIX}/conky
 )

=== src/CMakeLists.txt ===
# vim: ts=4 sw=4 noet ai cindent syntax=cmake
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2012 Brenden Matthews, et. al. (see AUTHORS)
# All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

include_directories(${conky_includes})
if(BUILD_BUILTIN_CONFIG OR BUILD_OLD_CONFIG)
	# include config output dir
	include_directories(${CMAKE_BINARY_DIR}/data)
endif(BUILD_BUILTIN_CONFIG OR BUILD_OLD_CONFIG)

# ensure build.h and config.h aren't in the way
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
	message(FATAL_ERROR "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/config.h' in order to build with CMake.")
endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/config.h)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/build.h)
	message(FATAL_ERROR "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/build.h' in order to build with CMake.")
endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/build.h)
if(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h)
	message(FATAL_ERROR "You must remove the autotools generated file '${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h' in order to build with CMake.")
endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h)

set(conky_sources c++wrap.cc colours.cc combine.cc common.cc conky.cc core.cc
	diskio.cc entropy.cc exec.cc fs.cc mail.cc mixer.cc net_stat.cc template.cc
	mboxscan.cc read_tcpip.cc scroll.cc specials.cc tailhead.cc temphelper.cc
	text_object.cc timeinfo.cc top.cc algebra.cc prioqueue.cc proc.cc user.cc
	luamm.cc data-source.cc lua-config.cc setting.cc llua.cc update-cb.cc)

# Platform specific sources
if(OS_LINUX)
	set(linux linux.cc users.cc sony.cc i8k.cc)
	set(optional_sources ${optional_sources} ${linux})
endif(OS_LINUX)

if(OS_FREEBSD)
	set(freebsd freebsd.cc bsdapm.cc)
	set(optional_sources ${optional_sources} ${freebsd})
endif(OS_FREEBSD)

if(OS_DRAGONFLY)
    set(dragonfly dragonfly.cc bsdapm.cc)
    set(optional_sources ${optional_sources} ${dragonfly})
endif(OS_DRAGONFLY)

if(OS_OPENBSD)
	set(openbsd openbsd.cc bsdapm.cc)
	set(optional_sources ${optional_sources} ${openbsd})
endif(OS_OPENBSD)

# These below are not actually supported.  No idea what their status is.
if(OS_SOLARIS)
	set(solaris solaris.cc)
	set(optional_sources ${optional_sources} ${solaris})
endif(OS_SOLARIS)

if(OS_NETBSD)
	set(netbsd netbsd.cc)
	set(optional_sources ${optional_sources} ${netbsd})
endif(OS_NETBSD)


# Optional sources
if(BUILD_AUDACIOUS)
	set(audacious audacious.cc)
	set(optional_sources ${optional_sources} ${audacious})
endif(BUILD_AUDACIOUS)

if(BUILD_BMPX)
	set(bmpx bmpx.cc)
	set(optional_sources ${optional_sources} ${bmpx})
endif(BUILD_BMPX)

if(BUILD_IBM)
	set(ibm ibm.cc smapi.cc)
	set(optional_sources ${optional_sources} ${ibm})
endif(BUILD_IBM)

if(BUILD_MPD)
	set(mpd mpd.cc libmpdclient.cc)
	set(optional_sources ${optional_sources} ${mpd})
endif(BUILD_MPD)

if(BUILD_MYSQL)
	set(mysql mysql.cc)
	set(optional_sources ${optional_sources} ${mysql})
endif(BUILD_MYSQL)

if(BUILD_MOC)
	set(moc moc.cc)
	set(optional_sources ${optional_sources} ${moc})
endif(BUILD_MOC)

if(BUILD_CMUS)
       set(cmus cmus.cc)
       set(optional_sources ${optional_sources} ${cmus})
endif(BUILD_CMUS)

if(BUILD_XMMS2)
	set(xmms2 xmms2.cc)
	set(optional_sources ${optional_sources} ${xmms2})
endif(BUILD_XMMS2)

if(BUILD_PORT_MONITORS)
	add_library(tcp-portmon libtcp-portmon.cc)
	set(conky_libs ${conky_libs} tcp-portmon)
	set(port_monitors tcp-portmon.cc)
	set(optional_sources ${optional_sources} ${port_monitors})
endif(BUILD_PORT_MONITORS)

if(BUILD_X11)
	set(x11 x11.cc fonts.cc)
	set(optional_sources ${optional_sources} ${x11})
endif(BUILD_X11)

if(BUILD_HDDTEMP)
	set(hddtemp hddtemp.cc)
	set(optional_sources ${optional_sources} ${hddtemp})
endif(BUILD_HDDTEMP)

if(BUILD_EVE)
	set(eve eve.cc)
	set(optional_sources ${optional_sources} ${eve})
endif(BUILD_EVE)

if(BUILD_CURL)
	set(ccurl_thread ccurl_thread.cc)
	set(optional_sources ${optional_sources} ${ccurl_thread})
endif(BUILD_CURL)

if(BUILD_RSS)
	set(rss rss.cc prss.cc)
	set(optional_sources ${optional_sources} ${rss})
endif(BUILD_RSS)

if(BUILD_WEATHER)
	set(weather weather.cc)
	set(optional_sources ${optional_sources} ${weather})
endif(BUILD_WEATHER)

if(BUILD_NVIDIA)
	set(nvidia nvidia.cc)
	set(optional_sources ${optional_sources} ${nvidia})
endif(BUILD_NVIDIA)

if(BUILD_IMLIB2)
	set(imlib2 imlib2.cc)
	set(optional_sources ${optional_sources} ${imlib2})
endif(BUILD_IMLIB2)

if(BUILD_APCUPSD)
	set(apcupsd apcupsd.cc)
	set(optional_sources ${optional_sources} ${apcupsd})
endif(BUILD_APCUPSD)

if(BUILD_ICAL)
	set(ical ical.cc)
	set(optional_sources ${optional_sources} ${ical})
endif(BUILD_ICAL)

if(BUILD_IRC)
	set(irc irc.cc)
	set(optional_sources ${optional_sources} ${irc})
endif(BUILD_IRC)

if(BUILD_ICONV)
	set(iconv iconv_tools.cc)
	set(optional_sources ${optional_sources} ${iconv})
endif(BUILD_ICONV)

if(BUILD_NCURSES)
	 set(optional_sources ${optional_sources} nc.cc)
endif(BUILD_NCURSES)

add_executable(conky ${conky_sources} ${optional_sources})

target_link_libraries(conky ${conky_libs})

# Install libtcp-portmon too?
install(TARGETS
	conky
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION lib
	ARCHIVE DESTINATION lib
)

=== debian/changelog ===
conky (1.10.1-3) unstable; urgency=medium

  * Add fix_build_math.patch to fix BUILD_MATH flag, in order to fix broken
    cpugauge and logscales in graphs. (Closes: #809546)

 -- Vincent Cheng <vcheng@debian.org>  Wed, 06 Jan 2016 00:37:37 -0800

conky (1.10.1-2) unstable; urgency=medium

  * Add cmake_compat.patch to fix FTBFS with older (<= 3.3) versions of cmake.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 24 Dec 2015 17:02:27 -0800

conky (1.10.1-1) unstable; urgency=medium

  * New upstream release.
    - Fix segfault on kernels without ipv6 support. (Closes: #806983)
    - Drop all patches; applied upstream or obsolete.

 -- Vincent Cheng <vcheng@debian.org>  Thu, 24 Dec 2015 00:08:45 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: conky
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
  automake1.11 | automake (>= 1:1.11),
@@ -37,7 +35,6 @@
  libxmmsclient-dev,
  libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config (>= 0.19)
-Build-Conflicts: liblua5.2-dev
 Homepage: http://conky.sourceforge.net/
 Standards-Version: 3.9.6
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 DEB_HOST_ARCH       ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
 COMMON_CONF_ARGS=-DCMAKE_BUILD_TYPE=None -DCMAKE_INSTALL_PREFIX=/usr \
-                 -DMAINTAINER_MODE=ON \
+                 -DMAINTAINER_MODE=ON -DRELEASE=True \
                  -DCMAKE_C_FLAGS="$(DEB_CFLAGS) $(DEB_CPPFLAGS)" \
                  -DCMAKE_CXX_FLAGS="$(DEB_CXXFLAGS) $(DEB_CPPFLAGS)"
 
@@ -83,7 +83,3 @@
 	# Do not run ldconfig on private shared libraries in /usr/lib/conky
 	# This fixes lintian warning "postinst-has-useless-call-to-ldconfig"
 	dh_makeshlibs -X/usr/lib/conky
-
-override_dh_builddeb:
-	dh_builddeb -- -Z xz
-

## conky 1.10.2

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -127,6 +127,11 @@
 if(BUILD_X11)
 	set(x11 x11.cc fonts.cc)
 	set(optional_sources ${optional_sources} ${x11})
+
+	if(BUILD_XINERAMA)
+		find_package(Xinerama REQUIRED)
+		set(conky_libs ${conky_libs} ${Xinerama_LIBRARIES})
+	endif(BUILD_XINERAMA)
 endif(BUILD_X11)
 
 if(BUILD_HDDTEMP)

=== debian/changelog ===
conky (1.10.2-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 08 May 2016 18:13:32 -0700

conky (1.10.2-1) unstable; urgency=medium

  * New upstream release.
    - Drop all existing patches; applied upstream.
    - Add debian/patches/fix-build-nvidia-ftbfs.patch to fix FTBFS when built
      with -DBUILD_NVIDIA=ON.
  * Remove debian/menu files as per tech-ctte decision in #741573.
  * Update Standards version from 3.9.6 to 3.9.8.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 03 May 2016 16:25:15 -0700

=== debian/control ===
--- 
+++ 
@@ -36,9 +36,9 @@
  libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config (>= 0.19)
 Homepage: http://conky.sourceforge.net/
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk
+Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk
 
 Package: conky-std
 Architecture: any

## conky 1.10.3

=== debian/changelog ===
conky (1.10.3-1mx150+1) mx; urgency=medium

  * Rebuild for MX-15.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Wed, 03 Aug 2016 17:48:26 -0700

conky (1.10.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 10 Jul 2016 19:36:32 -0700

conky (1.10.3-1) unstable; urgency=medium

  * New upstream release.
    - Fixes segfault on single core CPUs. (Closes: #828640)
    - Drop all existing patches; applied upstream.
    - Add debian/patches/fix-kfreebsd-ftbfs.patch to fix FTBFS on kfreebsd.
      (Closes: #815347)

 -- Vincent Cheng <vcheng@debian.org>  Sat, 02 Jul 2016 17:50:17 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: conky
 Section: utils
 Priority: optional
-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
  automake1.11 | automake (>= 1:1.11),

## conky 1.10.5

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -112,6 +112,11 @@
        set(optional_sources ${optional_sources} ${cmus})
 endif(BUILD_CMUS)
 
+if(BUILD_JOURNAL)
+       set(journal journal.cc)
+       set(optional_sources ${optional_sources} ${journal})
+endif(BUILD_JOURNAL)
+
 if(BUILD_XMMS2)
 	set(xmms2 xmms2.cc)
 	set(optional_sources ${optional_sources} ${xmms2})
@@ -192,6 +197,11 @@
 if(BUILD_NCURSES)
 	 set(optional_sources ${optional_sources} nc.cc)
 endif(BUILD_NCURSES)
+
+if(BUILD_PULSEAUDIO)
+	set(pulseaudio pulseaudio.cc)
+	set(optional_sources ${optional_sources} ${pulseaudio})
+endif(BUILD_PULSEAUDIO)
 
 add_executable(conky ${conky_sources} ${optional_sources})

=== debian/changelog ===
conky (1.10.5-1) unstable; urgency=medium

  * New upstream release.
    - Drop all existing patches; applied upstream.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 04 Oct 2016 21:01:32 -0700

conky (1.10.4-1) unstable; urgency=medium

  * New upstream release.
    - Drop all existing patches; applied upstream.
    - Add debian/patches/fix-ftbfs-with-build-x11-off.patch to fix FTBFS when
      built with -DBUILD_X11=OFF.

 -- Vincent Cheng <vcheng@debian.org>  Sun, 18 Sep 2016 22:08:05 -0700

## conky 1.10.6

=== debian/changelog ===
conky (1.10.6-1) unstable; urgency=medium

  * New upstream release.
  * Enable pulseaudio support in conky-all. (Closes: #841198)
    - Add build-dep on libpulse-dev.
  * Drop build-dep on libasound2-dev and remove references to ALSA mixer
    support in package descriptions; this has not been supported since 2010.
    (Refer to #726637)

 -- Vincent Cheng <vcheng@debian.org>  Thu, 08 Dec 2016 23:46:09 -0800

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,7 @@
 Source: conky
 Section: utils
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Vincent Cheng <vcheng@debian.org>
+Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
  automake1.11 | automake (>= 1:1.11),
@@ -15,7 +13,6 @@
  dpkg-dev (>= 1.15.7),
  gawk,
  less,
- libasound2-dev [linux-any],
  libaudclient-dev,
  libcairo2-dev,
  libcurl4-gnutls-dev | libcurl4-dev,
@@ -26,6 +23,7 @@
  libkvm-dev [kfreebsd-any],
  liblua5.1-0-dev,
  libncurses5-dev,
+ libpulse-dev,
  librsvg2-dev,
  libtolua++5.1-dev,
  libtool,
@@ -61,7 +59,7 @@
  It includes the following support:
  .
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
- wireless, ncurses, ALSA mixer, apcupsd, I/O stats, argb and Lua.
+ wireless, ncurses, apcupsd, I/O stats, argb and Lua.
 
 Package: conky-std-dbg
 Section: debug
@@ -80,7 +78,7 @@
  It includes the following support:
  .
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon,
- wireless, ncurses, ALSA mixer, apcupsd, I/O stats, argb and Lua.
+ wireless, ncurses, apcupsd, I/O stats, argb and Lua.
  .
  This package contains debugging symbols only.
 
@@ -139,9 +137,9 @@
  This is a full conky with most compile options enabled:
  .
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
- Weather, wireless, IBM, nvidia, eve-online, Imlib2, ALSA mixer,
+ Weather, wireless, IBM, nvidia, eve-online, Imlib2,
  apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
- Audacious, and XMMS2.
+ Audacious, XMMS2, and PulseAudio.
 
 Package: conky-all-dbg
 Section: debug
@@ -158,9 +156,9 @@
  This is a full conky with most compile options enabled:
  .
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
- Weather, wireless, IBM, nvidia, eve-online, Imlib2, ALSA mixer,
+ Weather, wireless, IBM, nvidia, eve-online, Imlib2,
  apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
- Audacious, and XMMS2.
+ Audacious, XMMS2, and PulseAudio.
  .
  This package contains debugging symbols only.

## conky 1.10.8

=== data/CMakeLists.txt ===
# vim: ts=4 sw=4 noet ai cindent syntax=cmake
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2012 Brenden Matthews, et. al. (see AUTHORS)
# All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

if(BUILD_BUILTIN_CONFIG)
	# generate defconfig
	if(BUILD_X11)
		set(builtin_config conky.conf)
	else(BUILD_X11)
		set(builtin_config conky_no_x11.conf)
	endif(BUILD_X11)
	add_custom_command(OUTPUT defconfig.h COMMAND
		${CMAKE_SOURCE_DIR}/text2c.sh ${CMAKE_CURRENT_SOURCE_DIR}/${builtin_config}
		defconfig.h defconfig DEPENDS ${builtin_config}
	)
	add_custom_target(defconfig ALL DEPENDS defconfig.h)
	set_source_files_properties(defconfig.h PROPERTIES GENERATED TRUE)
endif(BUILD_BUILTIN_CONFIG)

if(BUILD_OLD_CONFIG)
	add_custom_command(OUTPUT convertconf.h COMMAND
		${CMAKE_SOURCE_DIR}/text2c.sh ${CMAKE_SOURCE_DIR}/extras/convert.lua
		convertconf.h convertconf DEPENDS ${CMAKE_SOURCE_DIR}/extras/convert.lua
	)
	add_custom_target(convertconf ALL DEPENDS convertconf.h)
	set_source_files_properties(convertconf.h PROPERTIES GENERATED TRUE)
endif(BUILD_OLD_CONFIG)

=== doc/CMakeLists.txt ===
# vim: ts=4 sw=4 noet ai cindent syntax=cmake
#
# Conky, a system monitor, based on torsmo
#
# Please see COPYING for details
#
# Copyright (c) 2005-2012 Brenden Matthews, et. al. (see AUTHORS)
# All rights reserved.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#

include(Docbook)

if(MAINTAINER_MODE)
	wrap_xsltproc(lua config_settings variables)
	wrap_man(docs)
endif(MAINTAINER_MODE)

=== lua/CMakeLists.txt ===
--- 
+++ 
@@ -76,6 +76,6 @@
 
 install(TARGETS
 	${lua_libs}
-	LIBRARY DESTINATION lib${LIB_SUFFIX}/conky
-	ARCHIVE DESTINATION lib${LIB_SUFFIX}/conky
+	LIBRARY DESTINATION ${LIB_INSTALL_DIR}/conky
+	ARCHIVE DESTINATION ${LIB_INSTALL_DIR}/conky
 )

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -38,7 +38,7 @@
 endif(EXISTS ${CMAKE_CURRENT_SOURCE_DIR}/defconfig.h)
 
 set(conky_sources c++wrap.cc colours.cc combine.cc common.cc conky.cc core.cc
-	diskio.cc entropy.cc exec.cc fs.cc mail.cc mixer.cc net_stat.cc template.cc
+	diskio.cc entropy.cc exec.cc fs.cc mail.cc net_stat.cc template.cc
 	mboxscan.cc read_tcpip.cc scroll.cc specials.cc tailhead.cc temphelper.cc
 	text_object.cc timeinfo.cc top.cc algebra.cc prioqueue.cc proc.cc user.cc
 	luamm.cc data-source.cc lua-config.cc setting.cc llua.cc update-cb.cc)
@@ -75,8 +75,17 @@
 	set(optional_sources ${optional_sources} ${netbsd})
 endif(OS_NETBSD)
 
+if(OS_HAIKU)
+	set(haiku haiku.cc)
+	set(optional_sources ${optional_sources} ${haiku})
+endif(OS_HAIKU)
 
 # Optional sources
+if(HAVE_SOME_SOUNDCARD_H)
+	set(mixer mixer.cc)
+	set(optional_sources ${optional_sources} ${mixer})
+endif(HAVE_SOME_SOUNDCARD_H)
+
 if(BUILD_AUDACIOUS)
 	set(audacious audacious.cc)
 	set(optional_sources ${optional_sources} ${audacious})

=== debian/changelog ===
conky (1.10.8-1) unstable; urgency=medium

  * Acknowledge NMU, thanks to Adrian Bunk!
  * New upstream release.
    - Fix segfault when kernel reports non-sequential SMP CPU indices.
      (Closes: #873446)
    - Drop debian/patches/gcc-7.patch, applied upstream.
  * Remove build-dep on automake. (Closes: #865138)
  * Update Standards version from 3.9.8 to 4.1.3.
    - Update all priority: extra packages to priority: optional.

 -- Vincent Cheng <vcheng@debian.org>  Wed, 28 Feb 2018 02:22:09 -0800

conky (1.10.6-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with gcc 7. (Closes: #853353)

 -- Adrian Bunk <bunk@debian.org>  Sun, 03 Sep 2017 18:12:29 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Vincent Cheng <vcheng@debian.org>
 Build-Depends:
  audacious-dev,
- automake1.11 | automake (>= 1:1.11),
  cmake (>= 2.6),
  debhelper (>= 9),
  docbook-xml,
@@ -36,7 +35,7 @@
  libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config (>= 0.19)
 Homepage: http://conky.sourceforge.net/
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Svn: svn://anonscm.debian.org/collab-maint/deb-maint/conky/trunk
 Vcs-Browser: https://anonscm.debian.org/viewvc/collab-maint/deb-maint/conky/trunk
 
@@ -52,7 +51,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This package should be a good compromise for most users that do not
  need special features.
@@ -63,7 +62,6 @@
 
 Package: conky-std-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: conky-std (= ${binary:Version}), ${misc:Depends}
 Description: highly configurable system monitor (default version - debug)
@@ -71,7 +69,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This package should be a good compromise for most users that do not
  need special features.
@@ -94,7 +92,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a basic package that can be useful in servers or piped with dzen2.
  It includes the following support:
@@ -103,7 +101,6 @@
 
 Package: conky-cli-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: conky-cli (= ${binary:Version}), ${misc:Depends}
 Description: highly configurable system monitor (basic version - debug)
@@ -111,7 +108,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a basic package that can be useful in servers or piped with dzen2.
  It includes the following support:
@@ -132,18 +129,17 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a full conky with most compile options enabled:
  .
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
  Weather, wireless, IBM, nvidia, eve-online, Imlib2,
- apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
+ apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
  Audacious, XMMS2, and PulseAudio.
 
 Package: conky-all-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends: conky-all (= ${binary:Version}), ${misc:Depends}
 Description: highly configurable system monitor (all features enabled - debug)
@@ -151,20 +147,19 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a full conky with most compile options enabled:
  .
  X11, XDamage, XDBE, Xft, MPD, MOC, math, hddtemp, portmon, RSS,
  Weather, wireless, IBM, nvidia, eve-online, Imlib2,
- apcupsd, I/O stats, argb, Lua and the cairo and imlib2 lua bindings,
+ apcupsd, I/O stats, argb, Lua and the cairo and imlib2 Lua bindings,
  Audacious, XMMS2, and PulseAudio.
  .
  This package contains debugging symbols only.
 
 Package: conky
 Section: oldlibs
-Priority: extra
 Architecture: all
 Depends: conky-std | conky-cli | conky-all, ${misc:Depends}
 Description: highly configurable system monitor (transitional package)
@@ -172,7 +167,7 @@
  either on your root desktop or in its own window.
  Conky has many built-in objects, as well as the ability to execute
  external programs or scripts (either external or through built-in
- lua support).
+ Lua support).
  .
  This is a dummy package to ease transition to the new packaging scheme.
  It may be safely removed after upgrade/installation.

=== debian/rules ===
--- 
+++ 
@@ -54,7 +54,7 @@
 	-DBUILD_XDBE=ON -DBUILD_CURL=ON -DBUILD_IMLIB2=ON -DBUILD_RSS=ON \
 	-DBUILD_WEATHER_METAR=ON -DBUILD_WEATHER_XOAP=ON -DBUILD_LUA_CAIRO=ON \
 	-DBUILD_LUA_IMLIB2=ON -DBUILD_LUA_RSVG=ON -DBUILD_AUDACIOUS=ON \
-	-DBUILD_XMMS2=ON -DBUILD_EVE=ON
+	-DBUILD_XMMS2=ON -DBUILD_EVE=ON -DBUILD_PULSEAUDIO=ON
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory build-std

## conky 1.10.8-1build3%2B10.0trisquel1

=== debian/changelog ===
conky (1.10.8-1build3+10.0trisquel1) nabia; urgency=medium

  * Remove nvidia-settings dependency.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 08 Nov 2021 05:36:22 +0000

conky (1.10.8-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:11:48 +0100

conky (1.10.8-1build2) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 10:34:38 +0000

conky (1.10.8-1build1) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 15:19:05 +0000

=== debian/control ===
--- 
+++ 
@@ -32,7 +32,6 @@
  libxft-dev,
  libxml2-dev,
  libxmmsclient-dev,
- libxnvctrl-dev [i386 amd64] | nvidia-settings [i386 amd64],
  pkg-config (>= 0.19)
 Homepage: http://conky.sourceforge.net/
 Standards-Version: 4.1.3

=== debian/rules ===
--- 
+++ 
@@ -20,13 +20,13 @@
 
 ifeq ($(DEB_HOST_ARCH),i386)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-       ENABLE_NVIDIA=-DBUILD_NVIDIA=ON
+       ENABLE_NVIDIA=-DBUILD_NVIDIA=OFF
 endif
 endif
 
 ifeq ($(DEB_HOST_ARCH),amd64)
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-       ENABLE_NVIDIA=-DBUILD_NVIDIA=ON
+       ENABLE_NVIDIA=-DBUILD_NVIDIA=OFF
 endif
 endif
